import globals from "globals";
import js from "@eslint/js";
import airbnbBase from "eslint-config-airbnb-base";
import importPlugin from "eslint-plugin-import";

const airbnbRules = airbnbBase.rules;

/** @type {import('eslint').Linter.FlatConfig[]} */
export default [
  {
    languageOptions: {
      globals: {
        ...globals.browser
      },
      parserOptions: {
        ecmaVersion: 2022,
        sourceType: "module"
      }
    },
    plugins: {
      import: importPlugin
    },
    rules: {
      ...airbnbRules,
      // Your custom rules (these will override Airbnb rules)
      "max-len": ["error", { "code": 80 }],
      "indent": ["error", 2]
    }
  },
  js.configs.recommended,
  {
    rules: {
      "max-len": ["error", { "code": 80 }],
      "indent": ["error", 2]  // Any additional rules or overrides
    }
  }
];