const options = ["Stein", "Papier", "Schere"];
let playerScore = 0;
let computerScore = 0;


const playerScoreElement = document.getElementById("player-score")
const computerScoreElement = document.getElementById("computer-score")
const roundResultsMessage = document.getElementById("results-msg")
const buttonStein = document.getElementById("rock-btn")
const buttonPapier = document.getElementById("paper-btn")
const buttonSchere = document.getElementById("scissors-btn")
buttonStein.addEventListener("click", () => showResults("Stein"));
buttonPapier.addEventListener("click", () => showResults("Papier"));
buttonSchere.addEventListener("click", () =>  showResults("Schere"));


const winnerMsgElement = document.getElementById("winner-msg");
const optionsContainer = document.querySelector(".options-container");
const resetGameBtn = document.getElementById("reset-game-btn");

resetGameBtn.addEventListener("click", resetGame);

function getRandomComputerResult(){
    const number = Math.floor(Math.random()*options.length);
    return options[number];
}

function hasPlayerWonTheRound(player, computer){
    if (player === "Stein" && computer === "Schere" || player === "Schere" && computer === "Papier" || player === "Papier" && computer === "Stein"){
        return true;
    } else {
        return false;
    }
}

function getRoundResults(playerChoice){
    const computerChoice = getRandomComputerResult()
    const playerWon = hasPlayerWonTheRound(playerChoice, computerChoice);

    if(playerWon){
        playerScore++; //playerScore += 1; playerScore = playerScore + 1;
        return `Spieler hat gewonnen! ${playerChoice} schlaegt ${computerChoice}`;
    } else if (playerChoice === computerChoice){
        return `Unentschieden: beide haben ${playerChoice} gewaehlt.`;
    } else {
        computerScore++;
        return `Computer hat gewonnen! ${computerChoice} schlaegt ${playerChoice}`;
    }
}

function showResults(playerChoice) {
    roundResultsMessage.innerText = getRoundResults(playerChoice);
    playerScoreElement.innerText = playerScore;
    computerScoreElement.innerText = computerScore;

    if(playerScore >= 3){
        winnerMsgElement.innerText = "Spieler hat gewonnen";
    } else if(computerScore >= 3) {
        winnerMsgElement.innerText = "Computer hat gewonnen";
    } 
    if(playerScore >= 3 || computerScore >= 3) {
        //CSS aendern
        resetGameBtn.style.display = "block";
        optionsContainer.style.display = "none";
    }
    
}


function resetGame(){
    playerScore = 0;
    computerScore = 0;

    //HTML updaten
    playerScoreElement.innerText = playerScore;
    computerScoreElement.innerText = computerScore;

    resetGameBtn.style.display = "none";
    optionsContainer.style.display = "block";

    winnerMsgElement.innerText = "";
    roundResultsMessage.innerText = "";
}


